"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MinCdsVersionUi5Plugin = exports.moduleCacheRoot = exports.fioriToolsDirectory = exports.SchemaName = exports.FioriToolsSettings = exports.DirName = exports.FileName = void 0;
const os_1 = require("os");
const path_1 = require("path");
exports.FileName = {
    AdaptationConfig: 'config.json',
    CapJavaApplicationYaml: 'application.yaml',
    ExtConfigJson: '.extconfig.json',
    IndexCds: 'index.cds',
    Library: '.library',
    Manifest: 'manifest.json',
    ManifestAppDescrVar: 'manifest.appdescr_variant',
    MtaYaml: 'mta.yaml',
    Package: 'package.json',
    Pom: 'pom.xml',
    SpecificationDistTags: 'specification-dist-tags.json',
    ServiceCds: 'services.cds',
    Tsconfig: 'tsconfig.json',
    Ui5Yaml: 'ui5.yaml',
    Ui5LocalYaml: 'ui5-local.yaml',
    Ui5MockYaml: 'ui5-mock.yaml',
    UI5DeployYaml: 'ui5-deploy.yaml',
    PackageLock: 'package-lock.json'
};
exports.DirName = {
    Changes: 'changes',
    ModuleCache: 'module-cache',
    Schemas: '.schemas',
    Pages: 'pages',
    Webapp: 'webapp',
    Temp: '.tmp',
    LocalService: 'localService',
    Controller: 'controller',
    View: 'view',
    Fragment: 'fragment',
    Fragments: 'fragments',
    Ext: 'ext',
    VSCode: '.vscode',
    AppConfig: 'appconfig',
    Db: 'db',
    Csv: 'csv',
    Data: 'data',
    Mockdata: 'mockdata',
    Dist: 'dist',
    Coding: 'coding',
    Manifest: 'manifest',
    Annotations: 'annotations'
};
exports.FioriToolsSettings = {
    dir: '.fioritools',
    migrationSettingsFile: 'migrationSettings.json'
};
exports.SchemaName = {
    Ftfs: 'ftfs'
};
/**
 * Directory where fiori tools settings are stored
 */
exports.fioriToolsDirectory = (0, path_1.join)((0, os_1.homedir)(), exports.FioriToolsSettings.dir);
/**
 * Directory where modules are cached
 */
exports.moduleCacheRoot = (0, path_1.join)(exports.fioriToolsDirectory, exports.DirName.ModuleCache);
exports.MinCdsVersionUi5Plugin = '6.8.2';
//# sourceMappingURL=constants.js.map