import type { Editor } from 'mem-fs-editor';
import type { MtaPath } from '../types/mta';
/**
 * Searches `projectPath` and parent folders.
 * If mta.yaml file is inside projectPath, this is a special type of MTA project
 * that created in Fiori generator (Standalone App Router). E.g. Creating a new project that doesn't have
 * a parent root folder for MTA project, and this project itself is configured
 * to have deploy target CF and user answered yes to "add to Managed App Router" question.
 *
 * @param projectPath - Fiori app root folder
 * @param fs - optional mem-fs-editor instance
 * @returns - MtaPath
 */
export declare function getMtaPath(projectPath: string, fs?: Editor): Promise<MtaPath | undefined>;
//# sourceMappingURL=mta.d.ts.map